using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace esuite.Database.SqlServer.Migrations
{
    /// <inheritdoc />
    public partial class runtimeoutcomes : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Comments",
                schema: "Activity",
                table: "ActivityTasks",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "CompletedByUserDisplayName",
                schema: "Activity",
                table: "ActivityTasks",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<long>(
                name: "CompletedByUserId",
                schema: "Activity",
                table: "ActivityTasks",
                type: "bigint",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Comments",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "CompletedByUserDisplayName",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<long>(
                name: "CompletedByUserId",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "bigint",
                nullable: true);

            migrationBuilder.AddColumn<DateTimeOffset>(
                name: "FinishDateTime",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "datetimeoffset",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Outcomes",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "[]");

            migrationBuilder.AddColumn<DateTimeOffset>(
                name: "StartDateTime",
                schema: "Activity",
                table: "ActivityAssignments",
                type: "datetimeoffset",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Comments",
                schema: "Activity",
                table: "ActivityTasks");

            migrationBuilder.DropColumn(
                name: "CompletedByUserDisplayName",
                schema: "Activity",
                table: "ActivityTasks");

            migrationBuilder.DropColumn(
                name: "CompletedByUserId",
                schema: "Activity",
                table: "ActivityTasks");

            migrationBuilder.DropColumn(
                name: "Comments",
                schema: "Activity",
                table: "ActivityAssignments");

            migrationBuilder.DropColumn(
                name: "CompletedByUserDisplayName",
                schema: "Activity",
                table: "ActivityAssignments");

            migrationBuilder.DropColumn(
                name: "CompletedByUserId",
                schema: "Activity",
                table: "ActivityAssignments");

            migrationBuilder.DropColumn(
                name: "FinishDateTime",
                schema: "Activity",
                table: "ActivityAssignments");

            migrationBuilder.DropColumn(
                name: "Outcomes",
                schema: "Activity",
                table: "ActivityAssignments");

            migrationBuilder.DropColumn(
                name: "StartDateTime",
                schema: "Activity",
                table: "ActivityAssignments");
        }
    }
}
